type: dictionary
properties:
  throwables:
    type: dictionary
    properties:
      renderRequestInformation: { type: boolean }
      fileStorage:
        type: dictionary
        properties:
          path: { type: string, required: true }
  psr3:
    type: dictionary
    properties:
      loggerFactory: { type: string }
    additionalProperties:
      type: dictionary
      properties:
        'class': { type: string, format: class-name }
        'options':
          type: dictionary
